<!doctype html>
<html>
<head> 
<title>jQuery Materialize Pagination Plugin Examples</title> 

  <link rel="stylesheet" href="css/bootstrap.min.css" type="text/css" media="all" title="" />  
     
    <?php
    $server = 'localhost';
    $dbuser = 'root';
    $dbpass = '';
    $dbname = 'quicksearchdb';
    $con    = mysql_connect($server, $dbuser, $dbpass);
    if (isset($con)) {
        # code...
        $dbSelect = mysql_select_db($dbname);
        if (!$dbSelect) {
            echo "Problem in selecting database! Please contact administraator";
            die(mysql_error());
        }
    } else {
        echo "Problem in database connection! Please contact administraator";
        die(mysql_error());
    }
    ?> 
<style type="text/css">
      /*** for paging */
#pagination { 
    padding-left: 0;
    border-radius: 4px;
}

#pagination > li {
    display: inline;
    list-style: none;
    font-size: 15px;
    color: #0063DC;
    padding: 10px;
    border: solid #ddd 1px;
}
#pagination > li:active {
    color: #fff;
    background-color: #bd0909;
}
#pagination > li:hover {
    color: #FF0084;
    background-color: #dedede;
}
#wrap { 
    margin-bottom: 0;
    width: 50%; 
    font-family: arial;
}
#wrap > .content {
    height: 50px;
    width: 50px;
    border: 1px solid #eee;
}

    </style>
</head>

<body> 
 
<div class="container">
<h1 style="color:red">jQuery Pagination Plugin</h1> 
<form action="#"> 
      <div id="wrap">
           <?php  
           /*set a query for retrieving data in the database*/
                $sqlQuery = "SELECT * FROM `subject`";
                /*Execute the query*/
                $result = mysql_query($sqlQuery) or die(mysql_error());
                /*get the total rows in the table*/
                $maxrow = mysql_num_rows($result); 
                /*load data in the table*/
                while ($row = mysql_fetch_array($result)) {
                  echo '<div class="data panel">';  
                  echo  '<div class="content">
                            <div class="panel-header">
                         <h3> <small>'.$row['SUBJ_ID'].'.</small>  <a href="">'.$row['SUBJ_CODE'].'</a></h3>
                            </div>
                            <div class="panel-body">'.$row['SUBJ_DESCRIPTION'].'</div></div>' ;
                  echo '</div>';
                }
               
          ?>
      </div> 
      <!--the pagination will display here. -->
    <ul id ="pagination"> </ul> 
    
</form> 
</div> 
<!-- jQuery Plugins -->
<script src="jquery/jquery-2.2.4.min.js"></script>
<script type="text/javascript" src="jquery/pagination.js"></script>
<script>
/*Get the total rows in the table*/
var maxrow = '<?php echo $maxrow; ?>';
/*Set the page limit*/
var pageLimit = 5;
 
/**load the method in validating the records in the page document*/
$(function () {  
            load = function() {
                window.tp = new Pagination('#pagination', {
                    /*load the total rows in the table*/
                    itemsCount: maxrow,
                    /*load the page limit*/
                    pageSize: pageLimit,
                    
                    /*Set the events for changing the page of records*/
                    onPageChange: function (paging) { 
                        var start = paging.pageSize * (paging.currentPage - 1), /*set the starting page */
                            end = start + paging.pageSize, /**/
                            $rows = $('#wrap').find('.data'); /*fetching data in the table*/
                            $rows.hide(); /*hidding the existing rows*/
                            for (var i = start; i < end; i++) {
                                $rows.eq(i).show(); /*retrieving records per page*/
                            }
                    }
                });
            }

        load();
    });
</script>
</body>
</html>
